﻿using System.Text;
using System.Threading;
using System.IO.Ports;
using Microsoft.SPOT;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

namespace TestNetduinoUART
{
    public class Program
    {
        public static void Main()
        {   // Convertisseur TTL <--> RS232 relié au connecteur Serial de la carte TINKERKIT   
            SerialPort UART = new SerialPort(SerialPorts.COM1, 115200);
            var counter = 0;

            UART.Open();

            while (true)
            {
                // Création d'une chaine de caractères
                string counter_string = "Compte:" + counter.ToString() + "\r\n";
                // Conversion de la chaîne en octets
                byte[] buffer = Encoding.UTF8.GetBytes(counter_string);
                // Envoie des octets au port série
                UART.Write(buffer, 0, buffer.Length);
                Debug.Print(counter_string);
                // Incrémentation du compteur
                counter++;
                // Attente de 100ms entre deux envois
                Thread.Sleep(100);
            }
        }

    }
}
